# Class CIM_NextHopRouting
extends CIM_LogicalElement

NextHopRouting relates a destination address to the address or interface through which the remote address may be reached. An instance of this class can represent either static or dynamic routing, and may represent a routing table entry (but it is not required that all NextHopRoutes be in a routing table). Static routes are distinguished by setting the IsStatic boolean property to TRUE. Subclasses of NextHopRouting provide specific protocol and Key information. NextHopRoutes are dependent on at least one ForwardingService to execute them. This is conveyed by the CIM_NextHopForwardedByService association. NextHopRouting is deprecated in lieu of the more general, concrete NextHopRoute class. NextHopRoute allows the definition of BOTH a next hop address and an interface for transmission of the traffic. Also, it does not mandate the instantiation of a ForwardingService class. The latter is not needed if the sole purpose of the instance is to specify a 'desired/configured' route. This is simply a specification of the next hop.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_NextHopRouting

## Direct Known Subclasses

CIM_IPRoute

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Deprecated | string | CIM_NextHopRoute

Description

string

NextHopRouting relates a destination address to the address or interface through which the remote address may be reached. An instance of this class can represent either static or dynamic routing, and may represent a routing table entry (but it is not required that all NextHopRoutes be in a routing table). Static routes are distinguished by setting the IsStatic boolean property to TRUE. Subclasses of NextHopRouting provide specific protocol and Key information. NextHopRoutes are dependent on at least one ForwardingService to execute them. This is conveyed by the CIM_NextHopForwardedByService association. NextHopRouting is deprecated in lieu of the more general, concrete NextHopRoute class. NextHopRoute allows the definition of BOTH a next hop address and an interface for transmission of the traffic. Also, it does not mandate the instantiation of a ForwardingService class. The latter is not needed if the sole purpose of the instance is to specify a 'desired/configured' route. This is simply a specification of the next hop.

UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DestinationAddress | string |
Deprecated | string | CIM_NextHopRoute.DestinationAddress
Description | string | The address which serves as the destination to be reached.
DestinationMask | string |
Deprecated | string | No value
Description | string | The mask for the DestinationAddress.
IsStatic | boolean |
Deprecated | string | CIM_NextHopRoute.IsStatic
Description | string | TRUE indicates that this is a static route, and FALSE indicates a dynamically-learned route.
NextHop | string |
Deprecated | string | CIM_AssociatedNextHop.Antecedent, CIM_RouteUsesEndpoint.Antecedent
Description | string | This contains either the address of the next-hop router, or the interface used to reach the destination.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods